Results 1 to 2 of 2

Thread: Sqlite3 Install Will Not Install- Using Parallels

  1. Default Sqlite3 Install Will Not Install- Using Parallels

    Greetings,


    I've installed Lich, sg32inst and InchInst. I installed rubyinstaller-2.0.0-p.648. I followed the exact directions as on the Lich Project website, even though I know I listed them out of order here.

    When I open Lich, it comes to the prompt asking me to install Sqlite3. I agree, but it never does, I don't see a command prompt pop as as I normally would during this phase. Any consequent attempts to open Lich results in the same thing happening, basically a loop.

    I tried to manually install Sqlite3 which seemed to have worked, but I'm stuck at the command 'gem install sqlite3-ruby'. Nothing happens. Do I even need the interface gem?

    Even after what appears to be a successful manual install of Sqlite, Lich still prompts me every time. I assumed the manual install of Sqlite3 was successful because I see this in cmd:


    C:\Users\*****>cd c:\sqlite

    c:\sqlite>sqlite3
    SQLite version 3.31.1 2020-01-27 19:55:54
    Enter ".help" for usage hints.
    Connected to a transient in-memory database.
    Use ".open FILENAME" to reopen on a persistent database.
    sqlite>



    Thoughts?
    "I've dreamt in my life dreams that have stayed with me ever after, and changed my ideas: they've gone through and through me, like wine through water, and altered the colour of my mind."

    "Self-sacrifice… a nameless shinobi who protects peace from within its shadow…"

  2. Default

    Uninstall Ruby 2.0, way too old and not well supported. Grab https://bit.ly/WinLich . Select just the Ruby and gems option, you have the rest. Should work from there.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •